net.sourceforge.pmd.dcd

## Class UsageNodeVisitor.Options

- java.lang.Object
- - net.sourceforge.pmd.dcd.UsageNodeVisitor.Options

Enclosing class:
  UsageNodeVisitor

    public static final class UsageNodeVisitor.Options
    extends Object

Configuration options for usage analysis.

### Constructor Summary

Constructors
Constructor and Description
`UsageNodeVisitor.Options()`

### Method Summary

Methods
`boolean` `isIgnoreClassAnonymous()`
`boolean` `isIgnoreConstructorAllPrivate()`
`boolean` `isIgnoreConstructorSinglePrivateNoArg()`
`boolean` `isIgnoreConstructorStaticInitializer()`
`boolean` `isIgnoreFieldInlinable()`
`boolean` `isIgnoreMethodAllOverride()`
`boolean` `isIgnoreMethodJavaLangObjectOverride()`
`boolean` `isIgnoreMethodMain()`
`void` `setIgnoreClassAnonymous(boolean ignoreClassAnonymous)`
`void` `setIgnoreConstructorAllPrivate(boolean ignoreConstructorAllPrivate)`
`void` `setIgnoreConstructorSinglePrivateNoArg(boolean ignoreConstructorSinglePrivateNoArg)`
`void` `setIgnoreConstructorStaticInitializer(boolean ignoreConstructorStaticInitializer)`
`void` `setIgnoreFieldInlinable(boolean ignoreFieldInlinable)`
`void` `setIgnoreMethodAllOverride(boolean ignoreMethodAllOverride)`
`void` `setIgnoreMethodJavaLangObjectOverride(boolean ignoreMethodJavaLangObjectOverride)`
`void` `setIgnoreMethodMain(boolean ignoreMethodMain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UsageNodeVisitor.Options

    public UsageNodeVisitor.Options()

### Method Detail

#### isIgnoreClassAnonymous

    public boolean isIgnoreClassAnonymous()

#### setIgnoreClassAnonymous

    public void setIgnoreClassAnonymous(boolean ignoreClassAnonymous)

#### isIgnoreConstructorStaticInitializer

    public boolean isIgnoreConstructorStaticInitializer()

#### setIgnoreConstructorStaticInitializer

    public void setIgnoreConstructorStaticInitializer(boolean ignoreConstructorStaticInitializer)

#### isIgnoreConstructorSinglePrivateNoArg

    public boolean isIgnoreConstructorSinglePrivateNoArg()

#### setIgnoreConstructorSinglePrivateNoArg

    public void setIgnoreConstructorSinglePrivateNoArg(boolean ignoreConstructorSinglePrivateNoArg)

#### isIgnoreConstructorAllPrivate

    public boolean isIgnoreConstructorAllPrivate()

#### setIgnoreConstructorAllPrivate

    public void setIgnoreConstructorAllPrivate(boolean ignoreConstructorAllPrivate)

#### isIgnoreMethodJavaLangObjectOverride

    public boolean isIgnoreMethodJavaLangObjectOverride()

#### setIgnoreMethodJavaLangObjectOverride

    public void setIgnoreMethodJavaLangObjectOverride(boolean ignoreMethodJavaLangObjectOverride)

#### isIgnoreMethodAllOverride

    public boolean isIgnoreMethodAllOverride()

#### setIgnoreMethodAllOverride

    public void setIgnoreMethodAllOverride(boolean ignoreMethodAllOverride)

#### isIgnoreMethodMain

    public boolean isIgnoreMethodMain()

#### setIgnoreMethodMain

    public void setIgnoreMethodMain(boolean ignoreMethodMain)

#### isIgnoreFieldInlinable

    public boolean isIgnoreFieldInlinable()

#### setIgnoreFieldInlinable

    public void setIgnoreFieldInlinable(boolean ignoreFieldInlinable)